package com.jware.base.web.struts;

import java.util.List;

public class jWareLogonUserPermission
{

	private List permissions = null;
	
	private List actions = null;
	
	private boolean sysAdmin = false;
	
	/**
	 * @return Returns the sysAdmin.
	 */
	public boolean isSysAdmin() {
		return sysAdmin;
	}
	/**
	 * @param sysAdmin The sysAdmin to set.
	 */
	public void setSysAdmin(boolean sysAdmin) {
		this.sysAdmin = sysAdmin;
	}

	
    public List getPermissions() {

		return (this.permissions);

    }

    public void setPermissions(List p) {

        this.permissions = p;

    }
	
    public List getActions() {

		return (this.actions);

    }

    public void setActions(List p) {

        this.actions = p;

    }
	
	
	public boolean checkPermission( String permission ) {
		
		boolean returnValue = true;
				
		return (returnValue);

    }
	
	public boolean checkActionPermission( String action ) {
		
		
		boolean returnValue = true;
				
		return (returnValue);

    }
}
